%global commit 356254d6388298017589114a8eff15d20def90aa
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           vim-lsp
Version:        0.1.5
Release:        0.2%{?dist}
Summary:        Async language server protocol plugin for vim and neovim

License:        MIT
URL:            https://github.com/prabirshrestha/vim-lsp
Source0:        %{url}/archive/v%{version}/vim-lsp-%{version}-git%{shortcommit}.tar.gz

# Added metainfo per
# https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/#_metainfo_xml_file_creation
Source1:        vim-lsp.metainfo.xml

Requires:       vim-common

# TODO: These are needed by %%transfiletrigger provided by vim-commons,
# not sure how to get rid of these ATM :/
Requires(post): vim
Requires(postun): vim

# Needed for AppData check.
BuildRequires:  libappstream-glib

# Defines %%vimfiles_root
BuildRequires:  vim-filesystem
BuildArch:      noarch

%description
Async Language Server Protocol plugin for vim8 and neovim.
How to at https://frostyx.cz/posts/lsp-for-vim-boomers


%prep
%autosetup -n vim-lsp


%build
# Nothing to build. We are just copying files to the filesystem


%install
mkdir -p %{buildroot}%{vimfiles_root}
cp -ar {autoload,doc,ftplugin,plugin,syntax} %{buildroot}%{vimfiles_root}

# Install AppData.
mkdir -p %{buildroot}%{_metainfodir}
install -m 644 %{SOURCE1} %{buildroot}%{_metainfodir}


%check
# Check the AppData add-on to comply with guidelines.
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml


%files
%doc README.md
%license LICENSE LICENSE-THIRD-PARTY
%doc %{vimfiles_root}/doc/*.txt
%{vimfiles_root}/autoload/health
%{vimfiles_root}/autoload/lsp
%{vimfiles_root}/autoload/vital
%{vimfiles_root}/autoload/lsp.vim
%{vimfiles_root}/ftplugin/lsp-hover.vim
%{vimfiles_root}/plugin/lsp.vim
%{vimfiles_root}/syntax/lsp-hover.vim
%{_metainfodir}/vim-lsp.metainfo.xml


%changelog
* Sun Sep 08 2024 Patrick Laimbock <patrick@laimbock.com> - 0.1.5-0.2
- update to git rev 356254d6388298017589114a8eff15d20def90aa

* Mon Jun 03 2024 Patrick Laimbock <patrick@laimbock.com> - 0.1.5-0.1
- initial package
- git rev f7ccf006df1aefd327c0e2c55cc8632a2db577c1
